Bug 186644 - Useless debuginfo package, unneeded ldconfig calls
Summary: Useless debuginfo package, unneeded ldconfig calls
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sblim-cmpi-devel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark Hamzy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-24 22:27 UTC by Ville Skyttä
Modified: 2008-04-03 20:38 UTC (History)
2 users (show)

Fixed In Version: 1.0.4-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 20:38:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-03-24 22:27:06 UTC
As sblim-cmpi-devel contains only %{_includedir} stuff, the -debuginfo created
by it is useless [1] (fixed by %define debug_package %{nil} eg. at top of
specfile) and there's no need to call ldconfig in post/postun.  Additionally,
maybe the package could be noarch?

[1]
http://ftp.nluug.nl/pub/os/Linux/distr/fedora/extras/development/x86_64/debug/sblim-cmpi-devel-debuginfo-1.0.4-1.fc5.x86_64.rpm

Comment 1 Ville Skyttä 2006-12-17 14:13:37 UTC
Ping?  This is still broken after 8 months.

Comment 2 Bug Zapper 2008-04-03 17:10:57 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Ville Skyttä 2008-04-03 20:38:17 UTC
Looks fixed ages ago:

* Mon Dec 18 2006 Mark Hamzy <hamzy@us.ibm.com> 1.0.4-5
 - Removed -debuginfo package.
 - Removed ldconfig from post/postun



Note You need to log in before you can comment on or make changes to this bug.